# API

## LNAPI - Lnfi Network API Guide

Link to Github: <https://github.com/lnfi-network/naapi>

## Introduction

Lnfi Network API (LNAPI) is a powerful SDK library developed on Nostr. It enables developers to interact with various functionalities such as querying transactions, balances, and token events effortlessly.

## Features

* Query Transactions
* Check Balance
* Retrieve Token Lists
* Get Allowance
* Fetch Funding Records
* Access Token Events
* Retrieve Market-Related Information
* Explore Fairmint Functionalities
* Manage Locks

***

## Support Method List

### LNAPI.assets

* `getBalance(owner)`

  Retrieve the balance for a specified owner (npub address)
* `getTokenList()`

  Get a list of tokens
* `getAllowance()`\
  Check the allowance. (asset quantity authorized to another npub address such as operator/marketplace etc)
* `getFundingRecords()`

  Fetch funding records (Send / Receive history)
* `getTokenEvents()`

  Access token events such as Asset Transfers, Approve, etc
* `getHolders()`

  Retrieve the token holders list
* `getHolder()`

  Retrieve token holder information
* `getHolderSummary()`

  Retrieve summary of a token holder
* `getPayeeList()`

  Get a list of approved withdrawal channels

### LNAPI.markets

* `getMarketTokenList()`

  Retrieve tokens available in the market.
* `getMarketOrderListing()`

  Get order listing(s) for a market.
* `getOrderHistory()`

  Retrieve order history.
* `getMarketMyOrder()`

  Retrieve orders for a user.

### LNAPI.fairmint

{% hint style="info" %}
Reference: [Lightning Starter Fairmint](/products/ln-starter.md)
{% endhint %}

* `getHoroscopeList()`

  Retrieve horoscope launch pool list.
* `getActivity()`

  Get user activity.
* `getUserInfo()`

  Retrieve user information.
* `getUserList()`

  Get user list.
* `getRankingSummary()`

  Retrieve ranking summary.
* `getSearchRanking()`

  Get search ranking.
* `getBlockList()`

  Retrieve block list.
* `getBlockUserList()`

  Get block user list.

### LNAPI.lock

{% hint style="info" %}
Reference: [Lock Assets](/products/lock-assets.md)
{% endhint %}

* `getLockList()`: Retrieve lock list.

***

## Setup

To start using LNAPI SDK in your React project, follow these simple steps:

## Installation

Using yarn, run the following command to install the LNAPI SDK:

```bash
yarn add lnapi
```

#### Code Integration

```javascript
import { useCallback } from 'react';
import LNAPI from 'naapi';

const naapi = new LNAPI('https://market-api.nostrassets.com'); // Replace with appropriate URL

const onQueryBalance = useCallback(async () => {
    const res = await lnapi.assets.getBalance(owner);
}, []);

return (
    <>
        {/* Your code here */}
    </>
);

```

### Conclusion

With the LNAPI SDK, developers can seamlessly integrate various functionalities of the Lnfi into their applications. Start building innovative solutions today!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lnfi.network/sdk-api/api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
